%define realname Imagick
%define modname imagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php-%{modname}
Version:	3.4.0
Release:	%mkrel 0.RC6.4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/imagick
Source0:	http://pecl.php.net/get/%{modname}-%{version}RC6.tgz
BuildRequires:  php-devel >= 5.2.0
BuildRequires:	%{_lib}magick-devel >= 6.9.4.0
Requires:	ImageMagick >= 6.9.4.0
Requires:	freetype
Requires:	freetype2

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%setup -q -n imagick-%{version}RC6
[ "../package.xml" != "/" ] && mv -f ../package.xml .


%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[imagick]
imagick.locale_fix = 0
EOF

%files 
%doc examples ChangeLog CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Feb 05 2017 adrianomorselli <adrianomorselli> 3.4.0-0.RC6.4uplos2017
- rebuild

* Mon Dec 12 2016 tex - 3.4.0-0.RC6.4pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 3.4.0-0.RC6.3pclos2017
-rebuild

* Tue May 10 2016 woodhead <pp> 3.4.0-0.RC6.2pclos2016
- amended BR and Req and rebuild against updated ImageMagick

* Sun Mar 13 2016 bb <bb> 3.4.0-0.RC6.1pclos2016
- update
